import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { OAuthService } from 'angular-oauth2-oidc';
import { Location} from '@angular/common';

@Component({
    selector: 'fm-auth-callback',
    template:'<div></div>'
})
export class AuthCallbackComponent {

  constructor(private router$: Router,private oauthService$:OAuthService) {
    oauthService$.loadDiscoveryDocument().then(() => {
      oauthService$.tryLoginCodeFlow().then(() => {
        router$.navigateByUrl((oauthService$.state && oauthService$.state!="")?decodeURIComponent(oauthService$.state):"");
      }).catch(() => {
        router$.navigateByUrl("/");
      });    
    })
  }
}
